/* 
 * File:   LCD_4bit.h
 * Author: Patrik
 *
 * Created on 12. listopad 2012, 13:51
 */

#ifndef LCD_4BIT_H
#define	LCD_4BIT_H

//======================================
//	LCD 4bit komunikace
//======================================
#define LCD_PORT LATB
#define LCD_TRIS TRISB

//Definice pin? pro LCD
#define LCD_RS 2
#define LCD_E  3

#define SET_RS (LCD_PORT|=(1<<LCD_RS))
#define CLR_RS (LCD_PORT&=~(1<<LCD_RS))

#define LCD_HOME 0x02
#define LCD_CLR 0x01

void Lcd_Init(void);
void Lcd_Chr(unsigned char Chr);
void Lcd_Cmd(unsigned char Cmd);
void Lcd_Out_ROM(const rom char *str);
void Lcd_Out_RAM(const ram char *str);
void Lcd_Gotoxy(unsigned char row,unsigned char col);

#endif	/* LCD_4BIT_H */

